Bug 309111 - KDevelop crash on startup [Cmake support]
Summary: KDevelop crash on startup [Cmake support]
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-27 18:11 UTC by Ignat Semenov
Modified: 2012-11-13 00:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ignat Semenov 2012-10-27 18:11:11 UTC
Application: kdevelop (4.4.60)
KDE Platform Version: 4.9.80 (Compiled from sources)
Qt Version: 4.8.2
Operating System: Linux 3.3.7-1.fc17.x86_64 x86_64

-- Information about the crash:
- What I was doing when the application crashed:

Launched kdevelop with the kde-baseapps and kdelibs projects open, then kdevelop crashed.

kdelibs, kdevplafrom,kdevelop all built from 27.10.12 trunk.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd71a6e0880 (LWP 701))]

Thread 12 (Thread 0x7fd6fd1d9700 (LWP 702)):
#0  0x00007fd7164c2902 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd71674ea47 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x00007fd712cc3484 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x1bc4900) at /home/orly/kde/src/extragear/kdevplatform/language/duchain/duchain.cpp:282
#3  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#4  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fd6f4336700 (LWP 703)):
#0  0x00007fd71489f9e3 in select () from /lib64/libc.so.6
#1  0x00007fd716828162 in ?? () from /lib64/libQtCore.so.4
#2  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#3  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fd6f0941700 (LWP 705)):
#0  0x00007fd71489dbcf in poll () from /lib64/libc.so.6
#1  0x00007fd70ff73af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fd70ff73c14 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fd7168774e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x00007fd71684810f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00007fd716848398 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007fd71674b650 in QThread::exec() () from /lib64/libQtCore.so.4
#7  0x00007fd712de8947 in KDevelop::CompletionWorkerThread::run (this=0x2798ea0) at /home/orly/kde/src/extragear/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#9  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fd6ebfff700 (LWP 706)):
#0  0x00007fd71489dbcf in poll () from /lib64/libc.so.6
#1  0x00007fd70ff73af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fd70ff73c14 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fd7168774e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x00007fd71684810f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00007fd716848398 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007fd71674b650 in QThread::exec() () from /lib64/libQtCore.so.4
#7  0x00007fd712de8947 in KDevelop::CompletionWorkerThread::run (this=0x27a65d0) at /home/orly/kde/src/extragear/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#9  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fd6eb7fe700 (LWP 711)):
#0  0x00007fd7164c2595 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd713a15a87 in ?? () from /lib64/libQtScript.so.4
#2  0x00007fd713a15ab9 in ?? () from /lib64/libQtScript.so.4
#3  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fd6dbfff700 (LWP 730)):
#0  0x00007fd7164c2595 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd70ee0977d in ?? () from /lib64/libQtWebKit.so.4
#2  0x00007fd70ee09889 in ?? () from /lib64/libQtWebKit.so.4
#3  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fd6e8e5e700 (LWP 731)):
#0  0x00007fd71489dbcf in poll () from /lib64/libc.so.6
#1  0x00007fd70ff73af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fd70ff73c14 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fd7168774e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x00007fd71684810f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00007fd716848398 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007fd71674b650 in QThread::exec() () from /lib64/libQtCore.so.4
#7  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#8  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fd6dab6d700 (LWP 770)):
#0  0x00007fd71489dbcf in poll () from /lib64/libc.so.6
#1  0x00007fd70ff73af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fd70ff73c14 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fd7168774e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x00007fd71684810f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00007fd716848398 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007fd71674b650 in QThread::exec() () from /lib64/libQtCore.so.4
#7  0x00007fd716828b2f in ?? () from /lib64/libQtCore.so.4
#8  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#9  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fd6da36c700 (LWP 771)):
#0  0x00007fd7164c2902 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd71674ea47 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x00007fd71674236f in ?? () from /lib64/libQtCore.so.4
#3  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#4  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fd693fff700 (LWP 803)):
#0  0x00007fd71489dbcf in poll () from /lib64/libc.so.6
#1  0x00007fd70ff73af4 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fd70ff73c14 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fd7168774e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x00007fd71684810f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x00007fd716848398 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x00007fd71674b650 in QThread::exec() () from /lib64/libQtCore.so.4
#7  0x00007fd716828b2f in ?? () from /lib64/libQtCore.so.4
#8  0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#9  0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fd6d9b6b700 (LWP 804)):
[KCrash Handler]
#6  0x00007fd7147ea925 in raise () from /lib64/libc.so.6
#7  0x00007fd7147ec0d8 in abort () from /lib64/libc.so.6
#8  0x00007fd716744234 in qt_message_output(QtMsgType, char const*) () from /lib64/libQtCore.so.4
#9  0x00007fd7167443e8 in ?? () from /lib64/libQtCore.so.4
#10 0x00007fd716744574 in qFatal(char const*, ...) () from /lib64/libQtCore.so.4
#11 0x00007fd6f301c283 in QList<QString>::operator[] (this=0x7fd6d9b68920, i=0) at /usr/include/QtCore/qlist.h:477
#12 0x00007fd6f3039bd5 in CMakeProjectVisitor::visit (this=0x7fd6d9b69f20, sast=0x7fd680237dd0) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:1932
#13 0x00007fd6f301ad5a in StringAst::accept (this=0x7fd680237dd0, visitor=0x7fd6d9b69f20) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeast.h:676
#14 0x00007fd6f303d910 in CMakeProjectVisitor::walk (this=0x7fd6d9b69f20, fc=..., line=79, isClean=false) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:2285
#15 0x00007fd6f3032391 in CMakeProjectVisitor::visit (this=0x7fd6d9b69f20, ifast=0x7fd680292af0) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:1358
#16 0x00007fd6f301a5ba in IfAst::accept (this=0x7fd680292af0, visitor=0x7fd6d9b69f20) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeast.h:428
#17 0x00007fd6f303d910 in CMakeProjectVisitor::walk (this=0x7fd6d9b69f20, fc=..., line=56, isClean=true) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:2285
#18 0x00007fd6f30287da in CMakeProjectVisitor::visit (this=0x7fd6d9b69f20, inc=0x7fd6803ae6e0) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:617
#19 0x00007fd6f301a5ec in IncludeAst::accept (this=0x7fd6803ae6e0, visitor=0x7fd6d9b69f20) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeast.h:434
#20 0x00007fd6f303d910 in CMakeProjectVisitor::walk (this=0x7fd6d9b69f20, fc=..., line=18, isClean=true) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:2285
#21 0x00007fd6f305743b in CMakeParserUtils::includeScript (file=..., parent=..., data=0x7fd680002f48, sourcedir=..., env=...) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/parser/cmakeparserutils.cpp:176
#22 0x00007fd6e94ace3e in CMakeManager::includeScript (this=0x40ae100, file=..., project=0x38c49c0, dir=..., parent=...) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/cmakemanager.cpp:681
#23 0x00007fd6e94ada1f in CMakeManager::parse (this=0x40ae100, item=0x7fd6800d28c0) at /home/orly/kde/src/extragear/kdevelop/projectmanagers/cmake/cmakemanager.cpp:763
#24 0x00007fd7133910f9 in KDevelop::ImportProjectJobPrivate::import (this=0x443aba0, folder=0x7fd6800d28c0) at /home/orly/kde/src/extragear/kdevplatform/project/importprojectjob.cpp:53
#25 0x00007fd713391147 in KDevelop::ImportProjectJobPrivate::import (this=0x443aba0, folder=0x44436d0) at /home/orly/kde/src/extragear/kdevplatform/project/importprojectjob.cpp:57
#26 0x00007fd7133916b1 in QtConcurrent::VoidStoredMemberFunctionPointerCall1<void, KDevelop::ImportProjectJobPrivate, KDevelop::ProjectFolderItem*, KDevelop::ProjectFolderItem*>::runFunctor (this=0x45918b0) at /usr/include/QtCore/qtconcurrentstoredfunctioncall.h:412
#27 0x00007fd713390e7c in QtConcurrent::RunFunctionTask<void>::run (this=0x45918b0) at /usr/include/QtCore/qtconcurrentrunbase.h:134
#28 0x00007fd71674227d in ?? () from /lib64/libQtCore.so.4
#29 0x00007fd71674e5eb in ?? () from /lib64/libQtCore.so.4
#30 0x00007fd7164bed14 in start_thread () from /lib64/libpthread.so.0
#31 0x00007fd7148a667d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fd71a6e0880 (LWP 701)):
#0  0x00007fd7164c2595 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fd71674eaeb in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x00007fd716741a4f in ?? () from /lib64/libQtCore.so.4
#3  0x00007fd7167434fd in QThreadPool::~QThreadPool() () from /lib64/libQtCore.so.4
#4  0x00007fd716743539 in QThreadPool::~QThreadPool() () from /lib64/libQtCore.so.4
#5  0x00007fd716743565 in ?? () from /lib64/libQtCore.so.4
#6  0x00007fd7147edb71 in __run_exit_handlers () from /lib64/libc.so.6
#7  0x00007fd7147edbf5 in exit () from /lib64/libc.so.6
#8  0x00007fd715a49e88 in ?? () from /lib64/libQtGui.so.4
#9  0x00007fd71709f2e6 in KApplication::xioErrhandler (this=0x7fff227ec950, dpy=0x866b90) at /home/orly/kde/src/kdelibs/kdeui/kernel/kapplication.cpp:419
#10 0x00007fd71709e5a8 in kde_xio_errhandler (dpy=0x866b90) at /home/orly/kde/src/kdelibs/kdeui/kernel/kapplication.cpp:126
#11 0x00007fd7126f85ce in _XIOError () from /lib64/libX11.so.6
#12 0x00007fd7126f606d in _XEventsQueued () from /lib64/libX11.so.6
#13 0x00007fd7126e762b in XEventsQueued () from /lib64/libX11.so.6
#14 0x00007fd715a8000c in ?? () from /lib64/libQtGui.so.4
#15 0x00007fd70ff7360b in g_main_context_check () from /lib64/libglib-2.0.so.0
#16 0x00007fd70ff73a92 in ?? () from /lib64/libglib-2.0.so.0
#17 0x00007fd70ff73c14 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#18 0x00007fd7168774e6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#19 0x00007fd715a801ae in ?? () from /lib64/libQtGui.so.4
#20 0x00007fd71684810f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#21 0x00007fd716848398 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#22 0x00007fd71684d188 in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#23 0x0000000000410564 in main (argc=1, argv=0x7fff227ee6f8) at /home/orly/kde/src/extragear/kdevelop/app/main.cpp:502

Reported using DrKonqi
Comment 1 Aleix Pol 2012-11-11 02:57:25 UTC
Git commit 19298c0400d935ad91d9c559ef3becee01d28ca8 by Aleix Pol.
Committed on 11/11/2012 at 01:38.
Pushed by apol into branch 'master'.

Prevent a prossible crash in a wrong STRING() call

Treat some arguments as strings instead of expecting a correct input,
this will prevent a crash in case the input was wrong.

M  +3    -3    projectmanagers/cmake/parser/cmakeprojectvisitor.cpp

http://commits.kde.org/kdevelop/19298c0400d935ad91d9c559ef3becee01d28ca8
Comment 2 Aleix Pol 2012-11-13 00:53:45 UTC
Git commit 5438cd401bf73d20be8d19faae4878e656e9842c by Aleix Pol.
Committed on 11/11/2012 at 01:38.
Pushed by apol into branch 'master'.

Prevent a prossible crash in a wrong STRING() call

Treat some arguments as strings instead of expecting a correct input,
this will prevent a crash in case the input was wrong.

M  +3    -3    projectmanagers/cmake/parser/cmakeprojectvisitor.cpp

http://commits.kde.org/kdevelop/5438cd401bf73d20be8d19faae4878e656e9842c